//+------------------------------------------------------------------+ 
//|   TRO_OHL_Plot                                                   | 
//|                                                                  | 
//|   Copyright  2009, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|   All my indicators should be considered donationware. That is   |
//|   you are free to use them for your personal use, and are        |
//|   under no obligation to pay for them. However, if you do find   |
//|   this or any of my other indicators help you with your trading  |
//|   then any Gift or Donation as a show of appreciation is         |
//|   gratefully accepted.                                           |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators. :-)                                     |
//|                                                                  |
//|   PayPal - THERUMPLEDONE@GMAIL.COM                               |  
//+------------------------------------------------------------------+ 
//| Use http://therumpledone.mbtrading.com/fx/ as your forex broker  |  
//| ...tell them therumpledone sent you!                             |  
//+------------------------------------------------------------------+ 


#property  copyright "Copyright  2009, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/" 
 

#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 MediumVioletRed
#property indicator_color2 White
#property indicator_color3 DodgerBlue


extern bool   Show.Boxes  = true ;
extern bool   Show.Labels = true ;
extern int    ShiftLabel  =  10 ; 

extern int    Line_Style         = STYLE_SOLID ;
extern int    Line_Width         = 2 ;
extern color  Line_Color_Open    = White ;
extern color  Line_Color_High    = MediumVioletRed ;
extern color  Line_Color_Low     = DodgerBlue ;
 
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
 
string TAG = "ohlp" ;

   int   i ;
  
   double DayOpen,DayMax,DayMin ; 
 
//+------------------------------------------------------------------+
int init() 
{
 

   SetIndexBuffer(0, ExtMapBuffer1);
   SetIndexStyle(0, DRAW_LINE,Line_Style,Line_Width,Line_Color_High );
   SetIndexBuffer(1, ExtMapBuffer2);
   SetIndexStyle(1, DRAW_LINE,Line_Style,Line_Width,Line_Color_Open);
   SetIndexBuffer(2, ExtMapBuffer3);
   SetIndexStyle(2, DRAW_LINE,Line_Style,Line_Width,Line_Color_Low);
   
   deinit();   
   
   return(0);
   
}

//+------------------------------------------------------------------+

void ObDeleteObjectsByPrefix(string Prefix)
  {
   int L = StringLen(Prefix);
   int i = 0; 
   while(i < ObjectsTotal())
     {
       string ObjName = ObjectName(i);
       if(StringSubstr(ObjName, 0, L) != Prefix) 
         { 
           i++; 
           continue;
         }
       ObjectDelete(ObjName);
     }
  }  
//+------------------------------------------------------------------+
int deinit() 
{
    ObDeleteObjectsByPrefix(TAG);  
    TRO() ; 
   
   return(0);
   
}
 
//+------------------------------------------------------------------+
int start() 
{
         for (i=Bars-1; i>=0; i--) 
         {
         
            if(TimeDay(Time[i]) != TimeDay(Time[i+1]) ) 
            {
               DayMax  = 0;
               DayMin  = 1000;
               DayOpen = Open[i];               
            }
         
         
            if (DayMax < High[i]) {  DayMax = High[i]; }
            if (DayMin > Low[i] ) { DayMin = Low[i]; }  
                
            ExtMapBuffer1[i] = DayMax;
            ExtMapBuffer3[i] = DayMin;
            ExtMapBuffer2[i] = DayOpen;               
         }

drawLine(ExtMapBuffer1[0] ,"hi", Line_Color_High , Line_Style   , Line_Width ,  Time[0],  " High Today"   ) ;
drawLine(ExtMapBuffer3[0] ,"lo", Line_Color_Low , Line_Style   , Line_Width ,  Time[0],  " Low Today"   ) ;
drawLine(ExtMapBuffer2[0] ,"op", Line_Color_Open , Line_Style   , Line_Width ,  Time[0],  " Open Today"   ) ;

         
         
         
return(0);
   
}
 

void drawLine(double lvl,string name, color Col,int type, int width, datetime TimeBar, string text)
{ 
 
   if(Show.Labels)
   {         
      string Obj0002 = TAG+name+"linelbl" ;
      
      ObjectDelete(Obj0002);
      
      if(ObjectFind(Obj0002) != 0)
      {
         ObjectCreate(Obj0002, OBJ_TEXT, 0, Time[ShiftLabel], lvl);
         ObjectSetText(Obj0002,text , 8, "Arial", Col);
      }
      else
      {
         ObjectMove(Obj0002, 0, Time[ShiftLabel], lvl);
      } // if 
                 
   } // if   

   if(Show.Boxes)
   {  
     string dName = TAG+name+"boxes" ;
     if (ObjectFind(dName) != 0)
      {
          ObjectCreate(dName,OBJ_ARROW,0,Time[0],lvl);
          ObjectSet(dName,OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
          ObjectSet(dName,OBJPROP_COLOR,Col);  
      } 
      else
      {
         ObjectMove(dName,0,Time[0],lvl);
      } 
   } // if    
 
 
}
  

//+------------------------------------------------------------------+  



//+------------------------------------------------------------------+
void TRO()
{   
   
   string tObjName03    = "TROTAG"  ;  
   ObjectCreate(tObjName03, OBJ_LABEL, 0, 0, 0);//HiLow LABEL
   ObjectSetText(tObjName03, CharToStr(78) , 12 ,  "Wingdings",  DimGray );
   ObjectSet(tObjName03, OBJPROP_CORNER, 3);
   ObjectSet(tObjName03, OBJPROP_XDISTANCE, 5 );
   ObjectSet(tObjName03, OBJPROP_YDISTANCE, 5 );  
}
 
//+------------------------------------------------------------------+ 